4 Replies Latest reply: Aug 19, 2013 6:32 AM by raghav1212 RSS

    Apex installation fails

    raghav1212

      Hi ,

       

      I was trying to install oracle apex 4.2.2 but its failing with the below error . Please suggest me .

       

      . Application Express (APEX) Installation.

      ..........................................

      .

      ... Checking prerequisites (MANUAL)

      .

       

       

      PL/SQL procedure successfully completed.

       

       

       

       

      PL/SQL procedure successfully completed.

       

       

      Error: This version of Application Express is already installed (APEX_040200). 

      declare

      *

      ERROR at line 1:

      ORA-00900: invalid SQL statement

      ORA-06512: at line 9

       

      Thanks

      Raghav

        • 1. Re: Apex installation fails
          Hari_639

          Hello Raghav,

           

          From error, it's evident that schema "APEX_040200" already exists in your DB. Have you already installed apex 4.2 or tried to install before?

           

          Or you updating apex from old version or installing in new db.

           

          If APEX was never installed in DB and you are trying to install, then you can just log-in as SYS user and you can DROP user APEX_040200

           

          Regards,

          Hari

          • 2. Re: Apex installation fails
            raghav1212

            Hi ,

             

            I actually installed it before and for some error i got while creating workspace i removed apex . now i am trying to re-install it then i got the below error. Can i go ahead for installation or else i am missing something ??

             

            Error: This version of Application Express is already installed (APEX_040200).

            declare

            *

            ERROR at line 1:

            ORA-00900: invalid SQL statement

            ORA-06512: at line 9

             

            Thanks

            Raghav

            • 3. Re: Apex installation fails
              Hari_639

              Hi again,

               

              I have not yet downloaded or tired apex 4.2, but I'm sure you will have a script to uninstall apex in downloaded zipped file. (In 4.0, you can run "apxremov.sql" to remove apex.) First run this script to remove any apex specific objects from DB, then try to install.

               

              Regards,

              Hari

              • 4. Re: Apex installation fails
                raghav1212

                After running apxremov.sql only i am trying to install but still i am getting th eabove error.

                 

                Thanks

                Raghav